Passer au contenu principal
GET
/
v1
/
aggregators
/
{id}
Get aggregator
curl --request GET \
  --url https://api.hyperline.co/v1/aggregators/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "entity": "<string>",
  "property": "<string>",
  "where": {
    "fields": [
      {
        "property": "<string>"
      }
    ]
  },
  "name": "<string>",
  "description": "<string>",
  "allow_negative_values": true,
  "aggregate_on_customers_enabled": true,
  "default_interval_count": 123,
  "custom_event_name": "<string>",
  "exposed_event_keys": [
    "<string>"
  ],
  "unit_name": "<string>",
  "thresholds": [
    {
      "id": "<string>",
      "name": "<string>",
      "threshold_value": 123
    }
  ],
  "created_at": "2023-12-25",
  "updated_at": "2023-12-25",
  "formula_sql": "<string>"
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

id
string
requis

Réponse

id
string
requis
entity
string
requis
operation
enum<string>
requis
Options disponibles:
count,
sum,
sql_formula
property
string | null
requis
where
object
requis
type
enum<string>
requis
Options disponibles:
metered,
licensed
name
string | null
requis
description
string | null
requis
allow_negative_values
boolean
requis
aggregate_on_customers_enabled
boolean
requis
default_interval_count
integer | null
requis
default_interval_period
enum<string> | null
requis
Options disponibles:
days,
weeks,
months,
years
custom_event_name
string | null
requis
exposed_event_keys
string[]
requis
unit_name
string | null
requis
thresholds
object[]
requis
created_at
string<date>
requis
updated_at
string<date>
requis
formula_sql
string | null